Bug 21390 - Send self registration verification emails immediately
Summary: Send self registration verification emails immediately
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 10 votes (vote)
Assignee: Chris Cormack
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-21 11:24 UTC by Katrin Fischer
Modified: 2019-10-17 19:32 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 21390 Send registration verification emails immediately (1.05 KB, patch)
2019-09-04 21:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 21390 Send registration verification emails immediately (1.10 KB, patch)
2019-09-06 18:47 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 21390: Send registration verification emails immediately (1.16 KB, patch)
2019-09-17 13:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-09-21 11:24:46 UTC
Bug 18570 implemented that password recovery requests can now be send out immediately. It would be great if the same could also be implemented for the self registration emails.

It can be confusing to patrons registering in the library, that they still have to wait some minutes until the request can be processed on the circulation desk.
Comment 1 Chris Cormack 2019-09-04 21:48:14 UTC
Created attachment 92599 [details] [review]
Bug 21390 Send registration verification emails immediately

To test
1/ Enable self registration
2/ Register, notice message is queued in the table but not sent
3/ Apply patch
4/ Register again, notice message is queued, but immediately sent
Comment 2 Maryse Simard 2019-09-06 18:47:33 UTC
Created attachment 92654 [details] [review]
Bug 21390 Send registration verification emails immediately

To test
1/ Enable self registration
2/ Register, notice message is queued in the table but not sent
3/ Apply patch
4/ Register again, notice message is queued, but immediately sent

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Tomás Cohen Arazi 2019-09-17 13:29:23 UTC
Created attachment 92896 [details] [review]
Bug 21390: Send registration verification emails immediately

To test
1/ Enable self registration
2/ Register, notice message is queued in the table but not sent
3/ Apply patch
4/ Register again, notice message is queued, but immediately sent

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Martin Renvoize 2019-09-17 13:52:25 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Martin Renvoize 2019-09-17 13:56:08 UTC
I have added the `Sponsored-by` line to commit.

Thanks Goethe-Institut
Comment 6 Katrin Fischer 2019-09-21 20:15:08 UTC
(In reply to Martin Renvoize from comment #5)
> I have added the `Sponsored-by` line to commit.
> 
> Thanks Goethe-Institut

Thanks Maryse, Tomas and Martin for the quick work!
Comment 7 Fridolin SOMERS 2019-09-24 06:48:31 UTC
Small enhancement, I choose to backport to 19.05.x

I have squashed the 2 commits into one.

Pushed to 19.05.x for 19.05.04
Comment 8 Lucas Gass 2019-10-17 19:32:24 UTC
enhancement wont be backported for 18.11.x